package org.hso.ecommerce.controller.intern.customers;

import org.hso.ecommerce.entities.user.User;
import org.hso.ecommerce.repos.user.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

@Controller
@RequestMapping("/intern/customers")
public class CustomersIndexController {

    @Autowired
    private final UserRepository userRepository = null;

    @GetMapping("")
    public String internCustomers(Model model) {

        List<User> users = userRepository.findAll();

        model.addAttribute("users", users);

        return "intern/customers/index";
    }

    @GetMapping("/{id}")
    public String internCustomersId() {
        return "intern/customers/id";
    }
}
